Package Details: aurvote-git 1.9.r7.gfd413f1-2

Git Clone URL: https://aur.archlinux.org/aurvote-git.git (read-only, click to copy)
Package Base: aurvote-git
Description: Tool to vote for your favorite AUR packages (development version)
Upstream URL: https://github.com/archlinuxfr/aurvote
Licenses: GPL
Conflicts: aurvote
Provides: aurvote
Submitter: neersighted
Maintainer: IslandC0der
Last Packager: IslandC0der
Votes: 1142
Popularity: 1.10
First Submitted: 2013-02-27 22:18 (UTC)
Last Updated: 2021-04-24 20:08 (UTC)

Dependencies (1)

Required by (0)

Sources (1)

Pinned Comments

Latest Comments

doskanoness commented on 2022-06-13 15:25 (UTC) (edited on 2022-06-13 15:26 (UTC) by doskanoness)

I have an error:

[doskanoness@archlinux ~]$ aurvote -v clion
Error: Unable to access https://aur.archlinux.org/login

IslandC0der commented on 2020-06-28 18:52 (UTC)

Hi @TheGoliath, I wouldn't mind helping! I tried reaching out by email, but it seems to be set to hidden in your profile. Cheers

hashhar commented on 2017-04-12 19:56 (UTC) (edited on 2017-04-13 16:27 (UTC) by hashhar)

EDIT: Seems you do have a bash-completion script but the PKGBUILD doesn't install it. WHY? I have written a bash-completion script for this that I find useful for myself. You can find it here. https://gist.github.com/hashhar/83053afdf4c829e8d41f05d321e87ae7 It completes the flags and optionally completes currently installed package names when completing either the '-v' '--vote' '-u' or '--unvote' options. QUESTION: Should I complete only locally installed AUR packages or remote AUR packages too? Currently I complete all locally installed AUR packages.

Det commented on 2015-08-05 00:41 (UTC)

Did you forget about this?

Det commented on 2015-07-23 18:04 (UTC)

You can also add co-maintainers in AUR 4.

neersighted commented on 2015-07-23 16:25 (UTC)

I am currently on vacation until August 2. Thanks for the comments, I'll deal with them when I get home.

Det commented on 2015-07-19 21:17 (UTC)

Also, the pkgver() isn't apparently getting updated even in the PKGBUILD, because there are no tags. You should use the number of commits, followed by the id.

thiagowfx commented on 2015-07-18 20:47 (UTC)

Hi there, Since this [1] has been merged today, could you please update the PKGBUILD to add zsh-completion to the package? There is a suggestion of PKGBUILD in the page I linked. [1]: https://github.com/archlinuxfr/aurvote/pull/5

respiranto commented on 2015-07-12 11:35 (UTC)

Just in case somebody else wants the ability to use the aur4-subdomain: One has to either modify the script: AUR_URL="https://aur4.archlinux.org" AUR_DOMAIN="aur4.archlinux.org" or the $CONFIGFILE ( ${XDG_CONFIG_HOME:-~/.config}/aurvote ): AUR_URL="https://aur4.archlinux.org" AUR_URL_LOGIN="$AUR_URL/login/" AUR_URL_PKG_INFO="$AUR_URL/rpc.php?type=info&arg=" AUR_URL_PKG_PAGE="$AUR_URL/packages/" AUR_URL_PKG_ACTION="$AUR_URL/pkgbase/" AUR_DOMAIN="aur4.archlinux.org" The other variables are here necessary because they are set in the script before the $COFIGFILE is sourced.

Det commented on 2015-07-09 16:31 (UTC)

Why not a proper version, instead of the "latest"?

Det commented on 2015-07-09 16:30 (UTC)

Maybe this could actually be merged with aurvote-git, since there are no separate releases: https://aur4.archlinux.org/packages/aurvote-git/, https://github.com/archlinuxfr/aurvote/releases That's probably why archlinuxfr didn't pull this in AUR 4.

Det commented on 2015-07-09 10:58 (UTC)

You uploaded both the .AURINFO and .SRCINFO.

grayich commented on 2015-05-29 14:19 (UTC)

https://aur.archlinux.org/packages/acpidump - does not exist

JohnRobson commented on 2015-05-29 14:17 (UTC)

I tried: $ aurvote --configure And: $ aurvote $(yaourt -Qs | sed -n 's/^local\/\([^ ]*\).*/\1/p') $ aurvote $(yaourt -Qs | grep "^local"|sed 's/.*\/\(.*\) .*/\1/') * Error: Unable to get acpidump page My vote is never computed; only works if I manually click in the link "Vote for this package".

Rhinoceros commented on 2015-02-03 04:25 (UTC)

@grayich, thanks for the command to vote for all installed AUR packages, but it doesn't parse grouped packages correctly, e.g. local/libreoffice-extension-languagetool 2.8-1 (libreoffice-extensions) Here is another version that should work (and doesn't use grep). aurvote $(yaourt -Qs | sed -n 's/^local\/\([^ ]*\).*/\1/p')

grayich commented on 2014-11-24 17:07 (UTC)

v1.8

grayich commented on 2014-11-24 15:27 (UTC)

https://github.com/archlinuxfr/aurvote/issues/3#event-197605399 upgrade please from git Vote for all installed packages, you can: aurvote $(yaourt -Qs|grep "^local"|sed 's/.*\/\(.*\) .*/\1/')

BunBum commented on 2014-11-22 19:08 (UTC)

I can't upvote anything. Nothing happens.

grayich commented on 2014-09-23 20:51 (UTC)

aurvote stopped working

confusedfla commented on 2014-07-06 16:41 (UTC)

why not add this to the PKGBUILD until the upstream fixed it? sed -i -e "33,33 s/packages/pkgbase/" /usr/bin/aurvote

thiagowfx commented on 2014-06-27 01:24 (UTC)

"Error: Unable to get token from AUR page"

carstene1ns commented on 2014-06-26 15:37 (UTC)

As every package has a pkgbase now and split packages share their votes, the vote url changed from /packages/name/vote to /pkgbase/name/vote. This is a bash script, so you can try to fix it for your local install (change AUR_URL_PKG_PAGE). However, this requires you to know the pkgbase of the package you want to vote for, a proper fix would include a package to pkgbase wrapper.

orschiro commented on 2014-06-26 11:54 (UTC)

@Muflone I can confirm that. Unfortunately also aurnotify [1] doesn't work either. [1] https://aur.archlinux.org/packages/aurnotify

muflone commented on 2014-06-26 11:14 (UTC)

This doesn't work anymore for AUR 3

tuxce commented on 2013-09-09 21:03 (UTC)

Updated to suit AUR 2.3.0

karol_007 commented on 2013-09-07 15:54 (UTC)

Maybe it's because AUR got updated? https://mailman.archlinux.org/pipermail/aur-dev/2013-September/002558.html

vicp74 commented on 2013-09-07 15:44 (UTC)

It stopped working for me too. I can check correctly that some package is voted. Then I unvote it but when I check again, it's still being voted.

grayich commented on 2013-09-07 12:19 (UTC)

aurvote stopped working. all so?

mininessie commented on 2013-04-28 13:43 (UTC)

should aurvote ask for to aurvote --configure everytime or just once i am confused

felixonmars commented on 2013-04-10 04:40 (UTC)

Please rename build() to package(), as using a PKGBUILD without a package() function is deprecated since pacman 4.1

zhengpd commented on 2013-03-18 08:48 (UTC)

Check aurvote package with namcap and it reports that "curl" dependency is included but not needed.Then I try removing "curl" but namcap says "bash" is needed, so at last I change the dependency in PKGBUILD from depends=('curl') to depends=('bash') and the installation goes fine. I wonder whether the "curl" dependency is necessary or not.

neersighted commented on 2013-02-28 16:13 (UTC)

Created. * This PKGBUILD now requires Pacman 4.1, due to be released March 10. If you don't know how/can't build it, contact me for a backported PKGBUILD.

msx commented on 2012-11-18 02:16 (UTC)

Hi folks! @tuxce, I've found this minor bug: [olivetti] j:0 ~ $ aurvote --configure /usr/bin/aurvote: line 128: /home/olivetti/.config/aurvote: No such file or directory Error: Unable to create /home/olivetti/.config/aurvote [olivetti] j:0 ~ $ mkdir .config [olivetti] j:0 ~ $ aurvote --configure Creation of /home/olivetti/.config/aurvote AUR User : Regards

kicka commented on 2012-09-04 11:45 (UTC)

I have the same problem of josephgbr, aurvote doesn't work under gnome-shell anymore saying always "voted status not found". This is happening since nearly the end of august. In my machine i have cinnamon, kde and xfce too and there... everything works fine. All distro are updated. Strange behaviour... Any solution yet?

Sara commented on 2011-11-27 13:21 (UTC)

Nevermind, I found the functionality I wanted with `cower -m $maintainer`, which shows the packages maintained by $maintainer, and the votes, as desired.

commented on 2011-11-24 23:48 (UTC)

I don't care if this functionality would be implemented in aurvote, too, but yaourt -Ss <packagename> shows the votes.

Sara commented on 2011-11-24 23:31 (UTC)

I know aurvote only handles submitting votes to the AUR, but may functionality be added so that it can also view the votes on certain packages, or packages submitted by a certain maintainer? Thanks for considering.

commented on 2011-08-22 22:11 (UTC)

@ricardofunke: No, why? Yaourt has nothing to do with aurvote except that yaourt calls aurvote if it's installed. Yaourt doesn't need to login and doesn't need a username or password. The username and password handling is only the job of aurvote.

ricardofunke commented on 2011-08-22 21:52 (UTC)

Well @cyberpatrol, I think that if yaourt execute aurvote in every action, is yaourt that have to make cache of the password and make it secure. What do you think?

rafaelff commented on 2011-08-20 21:16 (UTC)

Since AUR 1.9.0(ahn...today), I install packages with yaourt and in the end it verify the status of my votes: "voted status not found". Maybe related to the fact that users can only log into AUR from https ?

commented on 2011-08-12 08:02 (UTC)

I agree that the file ~/.config/aurvote is insecure. And I agree that it should be encrypted somehow. But I don't want to always type the username and password when I install or upgrade my system. That said, be aware that aurvote is always automatically executed by yaourt e.g.

ricardofunke commented on 2011-08-12 02:42 (UTC)

Hi, Why aurvote ask us to create that ~/.config/aurvote file? Why not just ask the user login and password? This file is so insecure, so I took a look into the aurvote code and see that it just source that file, so I put these lines in my ~/.config/aurvote: $ cat .config/aurvote read -p 'Username: ' user read -s -p 'Password: ' pass echo And it works! But I think this should be in the aurvote code, don't you?

trizen commented on 2010-12-29 12:56 (UTC)

Thnaks! It works for me too.

silenc3r commented on 2010-12-29 12:37 (UTC)

@trizen: why not simply: aurvote -v $(pacman -Qqm) it works for me

trizen commented on 2010-12-23 02:31 (UTC)

Please add the ability to vote for all packages installed from AUR. Anyway, until then, users can use this command to output installed AUR packages: pacman -Qqm | sort > /tmp/pkgs; echo; perl -pi -e 's/\n/ /' /tmp/pkgs; cat /tmp/pkgs; echo; rm /tmp/pkgs P.S. Great package ;)

commented on 2010-12-06 04:33 (UTC)

Your tarball has some issues. Binaries are usually frowned upon. Such as: aurvote/aurvote-0.4.src.tar.gz Linking to URLs is preferable to including binaries. Besides, what is the point to tarballing already compressed files? Thank you.

commented on 2010-10-27 11:12 (UTC)

aurvote is currently broken due to the aurid not being found properly http://pastie.org/1252436 contains a diff which updates urls to use https (perhaps not really needed) and fixes the broken grep/sed for aurid (and uses cookies to be logged in to be able to fetch the id in another way)

commented on 2010-10-19 04:38 (UTC)

1) aurvote can't vote for themselves: # aurvote --vote aurvote aurvote now voted # aurvote --check aurvote aurvote: voted status not found 2) Please add the ability to input a password from the console.

dolik.rce commented on 2010-09-06 20:33 (UTC)

Please change the first line of the script to "#!/bin/bash". There are people out here (like me) who use dash or some other shell as /bin/sh and in such case aurvote fails because it contains bash specific syntax. Thanks ;-)